package com.heyu.api.data.service.ota;
/**
* <p>
* OTA固件版本信息表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.ota.OtaVersionInfoEntity;
public interface OtaVersionInfoService extends IService<OtaVersionInfoEntity> {



	OtaVersionInfoEntity selectOtaVersionInfoById(Long id);


	Long insertOtaVersionInfo(OtaVersionInfoEntity otaVersionInfo);


	Long insertOrUpdateOtaVersionInfo(OtaVersionInfoEntity otaVersionInfo);


	int updateOtaVersionInfoById(OtaVersionInfoEntity otaVersionInfo);


	int updateCoverOtaVersionInfoById(OtaVersionInfoEntity otaVersionInfo);


	int deleteOtaVersionInfoById(Long id);


}